Add multiple items to a alert
curl --request POST \
--url https://api.artu.ai/alerts/{alertId}/items/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"items": [
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
}
}
]
}
'{
"added": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"amendment": {
"originalReference": "<string>",
"reason": "<string>"
},
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
},
"clientNames": [
"<string>"
],
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "<string>",
"validationErrors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>",
"resourceId": "<string>",
"label": "<string>",
"sdkField": "<string>",
"parentClientId": "<string>"
}
]
}
]
}Alerts
Add multiple items to a alert
POST
/
alerts
/
{alertId}
/
items
/
batch
Add multiple items to a alert
curl --request POST \
--url https://api.artu.ai/alerts/{alertId}/items/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"items": [
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
}
}
]
}
'{
"added": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"amendment": {
"originalReference": "<string>",
"reason": "<string>"
},
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
},
"clientNames": [
"<string>"
],
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "<string>",
"validationErrors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>",
"resourceId": "<string>",
"label": "<string>",
"sdkField": "<string>",
"parentClientId": "<string>"
}
]
}
]
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Required array length:
1 - 250 elementsShow child attributes
Show child attributes
Was this page helpful?
List unique clients related to an alert (direct + via transactions)Remove multiple items from a alert
⌘I
